/**
 * a PPMV is a stem that implements a rule. a rule is two suffixes that comes
 * with this stem
 * @author Danny Shacham and Yehoyariv Louck
 *
 */
public class PPMV {
	private Rule rule;
	private String stem;
		
	/**
	 * constructs a PPMV with the given rule and the 2 word that implemnt this
	 * rule that have the same stem for these 2 suffixes (rule)
	 * @param rule the rule that holds 2 suffixes 
	 * @param stem 
	 */
	public PPMV(Rule rule,String stem) {
		this.rule = rule;
		this.stem = stem;		
	}
	/**
	 * returns the Rule of this PPMV
	 * @return Rule the Rule of this PPMV
	 */
	public Rule getRule() {
		return rule;
	}
	public Word getWord1() {
		Word result = new Word(stem, rule.getSuffix1());
		return result;
	}
	public Word getWord2() {
		Word result = new Word(stem, rule.getSuffix2());
		return result;
	}
	
	/**
	 * returns the first word of this PPMV, which means the stem with the first
	 * suffix
	 * @return String the first word of this PPMV
	 */
	public String getStem() {
		return stem;
	}
	public String toString() {
		return getWord1()+" \t "+getWord2();
	}
			
	public boolean equals(Object o) {
		PPMV temp = (PPMV)o;
		boolean flag1 = getWord1().equals(temp.getWord1()) && getWord2().equals(temp.getWord2());
		boolean flag2 = getWord1().equals(temp.getWord2()) && getWord2().equals(temp.getWord1());
		return flag1 || flag2;
	}

}
