/**
 * a rule is 2 suffixes
 * @author Danny Shacham and Yehoyariv Louck
 */
public class Rule {
	private String suffix1;
	private String suffix2;
	
	/**
	 * constructs a Rule with the 2 suffixes
	 * @param suffix1
	 * @param suffix2
	 */
	public Rule(String suffix1,String suffix2 ){
		this.suffix1 = suffix1;
		this.suffix2 = suffix2;
	}
	/**
	 * this equals the Object o if o is instanceof Rule
	 * and if their 2 suffixes are the same
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object o) {
		if (!(o instanceof Rule)) {
			return false;
		}
		Rule r = (Rule)o;
		boolean cond1 = r.suffix1.equalsIgnoreCase(suffix1) || r.suffix1.equalsIgnoreCase(suffix2);
		boolean cond2 = r.suffix2.equalsIgnoreCase(suffix1) || r.suffix2.equalsIgnoreCase(suffix2);
		return cond1 && cond2;
	}
	/**
	 * returns the first suffix
	 * @return String the first suffix
	 */
	public String getSuffix1() {
		return this.suffix1;
	}
	/**
	 * returns the second suffix
	 * @return String the second suffix
	 */
	public String getSuffix2() {
		return this.suffix2;
	}
	public String toString() {
		return suffix1+"\t"+suffix2;
	}
		
	 

}
