import java.util.*;
import java.io.*;
/**
 * @author Danny Shacham and Yehoyariv Louck
 *
 */
class Test {
	public static void main(String[] args) {
		String confFile = args[0];
		String[] confs = getConfiguration(confFile);
		System.out.println("starting...");
		
		// 1 - file name
		// 2 - pSimilarity
		// 3 - k most frequent suffixes
		// 4 - the size of the Vk matrix
		// 5 - N most frequent words
		// 6 - the number of the random vector to compare to
		// 7 - the size of the interval
		// 8 - the delims
		// 9 - the language
		// 10 - the name of the file above the threshold
		// 11 - the file below the htreshold
		// 12 - threshold
		
		/* ******   getting all the variables   ***************** */
		String fileName = confs[0];
		int pSimilarity = Integer.parseInt(confs[1]);
		int k = Integer.parseInt(confs[2]);
		int vk = Integer.parseInt(confs[3]);
		int N = Integer.parseInt(confs[4]);
		int random = Integer.parseInt(confs[5]);
		int interval = Integer.parseInt(confs[6]);
		String delim = " \t\n\r\f.;\',\":!()-_?";//confs[7];
		String lang = confs[8];
		String posFile = confs[9];
		String negFile = confs[10];
		int threshold = Integer.parseInt(confs[11]);
		
		
		NLPUtil nlp = new NLPUtil(fileName, pSimilarity, k, vk, N, random, interval, delim, lang, posFile, negFile);
		System.out.println("printing to file...");
		nlp.printNCS(threshold);		
		Vector v;
		System.out.println("...finished");
		
	}
	/**
	 * this method is very restrict -
	 * each configuration parapeter is a different line in the file
	 * above each parapeter there is its description
	 * the order of the parapeters is fixed
	 * @param confFile
	 * @return String[]
	 */
	private static String[] getConfiguration(String confFile) {
		System.out.println("the arguments are:");
		String[] confs = new String[12];
		try {
			BufferedReader in = new BufferedReader(new InputStreamReader(new FileInputStream(confFile)));
			for (int i=0; i< 12; i++) {
				String nextLine = in.readLine();
				System.out.print(nextLine);
				nextLine = in.readLine();
				System.out.println("\t\t\""+nextLine+"\"");
				confs[i] = nextLine;				
			}
		} catch (FileNotFoundException fnfe) {}
		catch (IOException ioe) {}
		System.out.println("**************************");
		System.out.println();
		return confs;
	}
		
		
}

