/**
 * @author Danny Shacham
 *
 */
public class WordCounter implements Comparable{

	private Word word;
	private int counts;
	/**
	 * constructs a SuffixCount for the given word with a count of 1
	 * @param word the word that is being counted
	 */
	public WordCounter(Word word) {
		this.word = word;
		counts = 0; 
	}
	/**
	 * adds 1 to the counter of this word
	 */
	public void addWord() {
		counts++;
	}
	/**
	 * gets the counts of the word
	 * @return int the counts of the words
	 */
	public int getCounts() {
		return counts;
	}
	/**
	 * gets the word that is being counted
	 * @return String the word that is being counted
	 */
	public Word getWord() {
		return word;
	}
	/**
	 * checks if a given Object is equals to this one if the given Object is
	 * instanceof this one and the word contained by the 2 Object is
	 * equalsIgnoreCase
	 * @param o
	 * @return boolean
	 */
	public boolean equals(Object o) {
		WordCounter temp = (WordCounter)o;
		return word.equals(temp.word);
	}
	public String toString() {
		return getWord()+"	"+getCounts();
	}
	/**
	 * compares an object which is instanceof WordCount to this object. this
	 * method compares the counts of each object regardeless of the word they
	 * hold
	 * @see java.lang.Comparable#compareTo(Object)
	 */
	public int compareTo(Object o) {
		WordCounter temp = (WordCounter)o;
		if (getCounts()>temp.getCounts()) {
			return 1;
		} else {
			if (getCounts() == temp.getCounts()) {
				return 0;
			} else {
				return -1;
			}
		}
	}
}
